Botan 2.19.5 Crypto and TLS for C&

Public Member Functions | List of all members
Botan::TLS::Server_Hello::Settings Class Referencefinal

`#include <tls_messages.h>`

## Public Member Functions
uint16_t | ciphersuite () const
bool | offer_session_ticket () const
Protocol_Version | protocol_version () const
const std::vector< uint8_t > & | session_id () const
| Settings (const std::vector< uint8_t > new_session_id, Protocol_Version new_session_version, uint16_t ciphersuite, bool offer_session_ticket)

## Detailed Description

Definition at line 197 of file tls_messages.h.

## Constructor & Destructor Documentation

## ◆ Settings()

Botan::TLS::Server_Hello::Settings::Settings | ( | const std::vector< uint8_t > | new_session_id,
|  | Protocol_Version | new_session_version,
|  | uint16_t | ciphersuite,
|  | bool | offer_session_ticket
| ) |  |
| inline

Definition at line 200 of file tls_messages.h.

203 :
204 m_new_session_id(new_session_id),
205 m_new_session_version(new_session_version),
206 m_ciphersuite(ciphersuite),
207 m_offer_session_ticket(offer_session_ticket) {}
Botan::TLS::Server_Hello::Settings::ciphersuite
uint16_t ciphersuite() const
Definition: tls_messages.h:211
Botan::TLS::Server_Hello::Settings::offer_session_ticket
bool offer_session_ticket() const
Definition: tls_messages.h:212

## Member Function Documentation

## ◆ ciphersuite()

uint16_t Botan::TLS::Server_Hello::Settings::ciphersuite | ( |  | ) | const
| inline

Definition at line 211 of file tls_messages.h.

211{ return m_ciphersuite; }

## ◆ offer_session_ticket()

bool Botan::TLS::Server_Hello::Settings::offer_session_ticket | ( |  | ) | const
| inline

Definition at line 212 of file tls_messages.h.

212{ return m_offer_session_ticket; }

Referenced by Botan::TLS::Server_Hello::Server_Hello().

## ◆ protocol_version()

Protocol_Version Botan::TLS::Server_Hello::Settings::protocol_version | ( |  | ) | const
| inline

Definition at line 210 of file tls_messages.h.

210{ return m_new_session_version; }

## ◆ session_id()

const std::vector< uint8_t > & Botan::TLS::Server_Hello::Settings::session_id | ( |  | ) | const
| inline

Definition at line 209 of file tls_messages.h.

209{ return m_new_session_id; }

The documentation for this class was generated from the following file:

- src/lib/tls/tls_messages.h